## octave-specfun 1.0.6

=== DESCRIPTION ===
Name: Specfun
Version: 1.0.6
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Specfun
Description: Special functions including ellipitic functions, etc
Categories: Specfun
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-specfun 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Specfun
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Specfun

## octave-specfun 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Specfun
-Version: 1.0.8
-Date: 2009-05-03
+Version: 1.0.9
+Date: 2010-02-04
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Specfun

=== debian/changelog ===
octave-specfun (1.0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571868)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump standards version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Sun, 16 May 2010 18:02:25 +0200

octave-specfun (1.0.8-4) unstable; urgency=low

  * Build against hdf5 (transition from 1.8.3 to 1.8.4) 
    (closes: #570019, #567962)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 18 Feb 2010 22:57:30 +0100

octave-specfun (1.0.8-3) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 15 Nov 2009 15:50:15 +0100

octave-specfun (1.0.8-2) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Bump standards version to 3.8.2, no changes needed 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 19 Jul 2009 16:32:17 +0200

octave-specfun (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright: Use DEP5 URL in Format-Specification
  * debian/check.m: Drop test_ellipj check, which has been integrated into
    src/ellipj.cc

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:20:47 +0200

octave-specfun (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 12:40:27 +0200

octave-specfun (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:35:31 +0000

octave-specfun (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 13:05:29 +0200

octave-specfun (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468523)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 13:33:04 +0100

=== debian/control ===
Source: octave-specfun
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/specfun
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-specfun.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-specfun.git

Package: octave-specfun
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: special mathematical functions for Octave
 This package provides special mathematical functions for octave,
 including elliptic functions, sine integral, exponential integrals, Dirac
 delta distribution, and the Riemann zeta function.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-specfun 1.1.0

=== src/Makefile ===
all: ellipj.oct

%.oct: %.cc
	mkoctfile -s $<

clean: ; -rm *.o core octave-core *.oct *~

=== debian/changelog ===
octave-specfun (1.1.0-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 18:30:09 -0300

octave-specfun (1.1.0-6) unstable; urgency=medium

  * d/rules: Use override_dh_installdeb instead of _auto_install for cleanup
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Nov 2019 13:09:09 -0300

octave-specfun (1.1.0-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:47 -0200

octave-specfun (1.1.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:34 -0200

octave-specfun (1.1.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/p/autoload-yes: Remove patch (deprecated upstream)
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:43 -0200

octave-specfun (1.1.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Ensure that all files are covered by copyright information
  * Remove functions which are now in Octave core (Closes: #741036)

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * Add Rafael Laboissiere, Mike Miller and myself to Uploaders.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 21 Sep 2014 06:33:54 -0300

octave-specfun (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/check.m: Drop this file, since the file test_sncndn.m has been
    removed from upstream
  * debian/control:
    + Bump standards version to 3.9.3, no changes needed
    + Bump the build-dependency on octave-pkg-dev to >= 1.0.0
  * Bump debhelper compatibility level to 9
  * debian/copyright: Update notices and adapted to the 1.0 format

  [ Thomas Weber ]
  * New patch: autoload-yes: enable the autoloading of the package

 -- Thomas Weber <tweber@debian.org>  Sun, 11 Mar 2012 22:59:03 +0100

=== debian/control ===
Source: octave-specfun
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissière <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1)
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/specfun/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-specfun.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-specfun
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-specfun
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: special mathematical functions for Octave
 This package provides special mathematical functions for octave,
 including elliptic functions, sine integral, exponential integrals, Dirac
 delta distribution, and the Riemann zeta function.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

INSTDIR := $(CURDIR)/debian/octave-specfun
override_dh_installdeb:
	@echo "*********************************************************"
	@echo "Warning: check whether the following fix is still needed:"
	@echo "*********************************************************"
	for i in ellipke.m erfcinv.m expint.m ; do	\
		rm -f $$(find $(INSTDIR)/ -name $$i) ;	\
	done
	dh_installdeb

=== debian/watch ===
version=4
http://sf.net/octave/specfun-(.+)\.tar\.gz
